/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.deu.platform.land;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>GermanMEADSBattleElementTOC</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>GermanMEADSBattleElementTOC.createInstance()</code> or <code>new GermanMEADSBattleElementTOC()</code>. </p>
 * <ul>
 *     <li> Country: Germany (DEU) = <code>78</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>LAND</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Air Defense/Missile Defense Unit Equipment = <code>28</code>; </li>
 *     <li> SubCategory: GermanMediumExtendedAirDefenseSystemMEADS  = <code>6</code>; </li>
 *     <li> Specific: GermanMEADSTacticalOperationsCenterTOC  = <code>1</code>; </li>
 *     <li> Entity type uid: 36056; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v33-DRAFT-20231217-d10 (2023-12-17)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$ExtraElem@232a7d73. </p>
 * @see Country#GERMANY_DEU
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see AirDefenseMissileDefenseUnitEquipment
 * @see SubCategory

 */
public final class GermanMEADSBattleElementTOC extends EntityType
{
    /** Default constructor */
    public GermanMEADSBattleElementTOC()
    {
        setCountry(Country.GERMANY_DEU);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.LAND));

        setCategory((byte)28); // uid 16321, Air Defense/Missile Defense Unit Equipment
        setSubCategory((byte)6); // uid 36053, German Medium Extended Air Defense System (MEADS)
        setSpecific((byte)1); // uid 36054, German MEADS Tactical Operations Center (TOC)
        setExtra((byte)2); // uid 36056, German MEADS Battle Element TOC
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static GermanMEADSBattleElementTOC createInstance()
    {
            return new GermanMEADSBattleElementTOC();
    }
}
